Bug 208728 - audio/praat, audio/alsa-lib: missing libs
Summary: audio/praat, audio/alsa-lib: missing libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 21:01 UTC by kaltheat
Modified: 2016-04-15 04:20 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback+
jwb: maintainer-feedback+


Attachments
Depend on alsa-plugins package (597 bytes, patch)
2016-04-12 00:42 UTC, Jan Beich
jwb: maintainer-approval+
Details | Diff
Drop alsa dependency, v0 (4.55 KB, patch)
2016-04-12 02:41 UTC, Jan Beich
jwb: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2016-04-11 21:01:16 UTC
When I run audio/praat from official latest pkg repo for 10.3-RELEASE amd64 and I want to play a file, I get:


ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4771:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM sysdefault
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4771:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM sysdefault                                                                      
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.iec958
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.iec958
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.iec958
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.hdmi
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.modem
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.modem
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.phoneline
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.phoneline
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4771:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM dmix
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so
Segmentation fault (core dumped)


It seems as if audio/praat wants to use something from audio/alsa-lib which is not there (anymore?) ...
Comment 1 Jan Beich freebsd_committer 2016-04-12 00:42:32 UTC
Created attachment 169227 [details]
Depend on alsa-plugins package

(In reply to kaltheat from comment #0)
> ALSA lib dlmisc.c:254:(snd1_dlobj_cache_get) Cannot open shared library /usr/local/lib/alsa-lib/libasound_module_pcm_oss.so

Install alsa-plugins package. There's no kernel ALSA support on FreeBSD.
Comment 2 Jan Beich freebsd_committer 2016-04-12 00:59:54 UTC
It looks like audio/praat uses bundled portaudio which supports OSS natively. audio/portaudio uses --without-alsa probably to avoid ALSA being picked over OSS. To avoid such issues maintainer may want to unbundle libraries under external/ subdirectory.

https://www.freebsd.org/doc/en/books/porters-handbook/bundled-libs.html
Comment 3 Jason W. Bacon freebsd_committer 2016-04-12 01:22:00 UTC
Patch approved.

I've copied the latest praat into my WIP collection and will work on unbundling when I get a chance.

https://github.com/outpaddling/freebsd-ports-wip

Thanks,

    Jason
Comment 4 Jan Beich freebsd_committer 2016-04-12 02:41:13 UTC
Created attachment 169229 [details]
Drop alsa dependency, v0

Sorry, that wasn't enough to unbreak runtime.
Comment 5 commit-hook freebsd_committer 2016-04-14 21:36:14 UTC
A commit references this bug:

Author: jbeich
Date: Thu Apr 14 21:35:34 UTC 2016
New revision: 413318
URL: https://svnweb.freebsd.org/changeset/ports/413318

Log:
  audio/praat: unbreak sound support

  Portaudio doesn't work with alsa-plugins-oss, so switch to native OSS.

  ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
  ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
  [...]

  PR:		208728
  Reported by:	kaltheat@gmail.com
  Approved by:	Jason Bacon <bacon4000@gmail.com> (maintainer)
  MFH:		2016Q2

Changes:
  head/audio/praat/Makefile
  head/audio/praat/files/makefile.defs.freebsd.alsa
  head/audio/praat/files/patch-external_portaudio_Makefile
  head/audio/praat/files/patch-external_portaudio_pa__unix__hostapis.c
Comment 6 Jan Beich freebsd_committer 2016-04-14 21:36:41 UTC
Thanks. Committed.
Comment 7 commit-hook freebsd_committer 2016-04-15 04:20:39 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 15 04:20:13 UTC 2016
New revision: 413323
URL: https://svnweb.freebsd.org/changeset/ports/413323

Log:
  MFH: r413318

  audio/praat: unbreak sound support

  Portaudio doesn't work with alsa-plugins-oss, so switch to native OSS.

  ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
  ALSA lib conf.c:4292:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
  [...]

  PR:		208728
  Reported by:	kaltheat@gmail.com
  Approved by:	Jason Bacon <bacon4000@gmail.com> (maintainer)
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/audio/praat/Makefile
  branches/2016Q2/audio/praat/files/makefile.defs.freebsd.alsa
  branches/2016Q2/audio/praat/files/patch-external_portaudio_Makefile
  branches/2016Q2/audio/praat/files/patch-external_portaudio_pa__unix__hostapis.c